This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 903922 - Disable or remove virtio-9p until it becomes supportable
Disable or remove virtio-9p until it becomes supportable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Miroslav Rezanina
Virtualization Bugs
:
Depends On:
Blocks: 720747 895240
  Show dependency treegraph
 
Reported: 2013-01-24 23:00 EST by juzhang
Modified: 2014-06-17 23:21 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-kvm-1.4.0-3.el7.x86_64.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:09:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description juzhang 2013-01-24 23:00:36 EST
Description of problem:
KVM QE compared the list of cmd line and devices difference between rhel6.4 and rhel7.0. Found some general virtio devices are added. From KVM QE POV,  Plese disable or remove usb related devices that qemu-kvm does not support.

Version-Release number of selected component (if applicable):
Host Kernel
#uname -r
3.7.0-0.30.el7.x86_64
qemu-kvm version
qemu-kvm-1.3.0-3.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:
RHEL6.4
Virtio device
#/usr/libexec/qemu-kvm -device ? 2>&1 | grep -i virtio
name "virtio-scsi-pci", bus PCI, alias "virtio-scsi"
name "virtio-balloon-pci", bus PCI
name "virtio-serial-pci", bus PCI, alias "virtio-serial"
name "virtio-net-pci", bus PCI
name "virtio-blk-pci", bus PCI, alias "virtio-blk"
name "virtserialport", bus virtio-serial-bus
name "virtconsole", bus virtio-serial-bus

RHEL7.0
Virtio device(added virtio-rng-pci and virtio-9p-pci, will be supported on rhel7.0?)
#/usr/libexec/qemu-kvm -device ? 2>&1 | grep -i virtio
name "virtio-blk-pci", bus PCI, alias "virtio-blk"
name "virtio-9p-pci", bus PCI
name "virtserialport", bus virtio-serial-bus
name "virtconsole", bus virtio-serial-bus
name "virtio-serial-pci", bus PCI, alias "virtio-serial"
name "virtio-rng-pci", bus PCI
name "virtio-net-pci", bus PCI, alias "virtio-net"
name "virtio-scsi-pci", bus PCI
name "virtio-balloon-pci", bus PCI, alias "virtio-balloon"

Expected results:
Disable or remove general virtio devices that qemu-kvm does not support

Additional info:
Comment 1 Richard W.M. Jones 2013-01-29 03:34:36 EST
virtio-rng-pci should definitely be in RHEL 7.  It's a
very useful device.

virtio-9p-pci is also useful -- libguestfs *could* use it (although
not by default), and I believe that Dan's libvirt sandbox stuff
is based on it.  However 9pfs hasn't exactly set the world on fire.
Comment 3 Miroslav Rezanina 2013-04-23 05:42:40 EDT
Fixed in qemu-kvm-1.4.0-3.el7.x86_64.rpm
Comment 5 huiqingding 2014-01-14 05:00:40 EST
Reproduced this issue using qemu-kvm-1.3.0-6.el7.x86_64, "virtio-9p-pci" is not removed.
# /usr/libexec/qemu-kvm -device ? 2>&1 | grep -i virtio
name "virtio-blk-pci", bus PCI, alias "virtio-blk"
name "virtio-9p-pci", bus PCI
name "virtserialport", bus virtio-serial-bus
name "virtconsole", bus virtio-serial-bus
name "virtio-serial-pci", bus PCI, alias "virtio-serial"
name "virtio-rng-pci", bus PCI
name "virtio-net-pci", bus PCI, alias "virtio-net"
name "virtio-scsi-pci", bus PCI
name "virtio-balloon-pci", bus PCI, alias "virtio-balloon"

Verified this issue using qemu-kvm-1.5.3-35.el7.x86_64, "virtio-9p-pci" is removed.
# /usr/libexec/qemu-kvm -device ? 2>&1 | grep -i virtio
name "virtio-blk-device", bus virtio-bus
name "virtio-blk-pci", bus PCI, alias "virtio-blk"
name "virtio-scsi-device", bus virtio-bus
name "virtio-scsi-pci", bus PCI
name "virtio-net-device", bus virtio-bus
name "virtio-net-pci", bus PCI, alias "virtio-net"
name "virtconsole", bus virtio-serial-bus
name "virtio-serial-device", bus virtio-bus
name "virtio-serial-pci", bus PCI, alias "virtio-serial"
name "virtserialport", bus virtio-serial-bus
name "virtio-balloon-device", bus virtio-bus
name "virtio-balloon-pci", bus PCI, alias "virtio-balloon"
name "virtio-rng-device", bus virtio-bus
name "virtio-rng-pci", bus PCI
Comment 7 Ludek Smid 2014-06-13 07:09:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.